Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036282
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2017-06-19 18:352017-11-21 20:26
ReportershuehnerView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision01727c5b58ac
ProjectionnoneETAnoneTarget Version3.0PR17Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036282: Several processes are marked as 'Grid Legacy' and should be converted to avoid runtime warning on every use

DescriptionThe 4 processes below trigger runtime warning about 'Grid Legacy' and should be converted.

pi=# select m.javapackage, p.obuiapp_process_id, p.name, (select count(*) from obuiapp_parameter param where param.ad_reference_id = 'FF80818132D8F0F30132D9BC395D0038' and param.obuiapp_process_id = p.obuiapp_process_id) as grid_param from obuiapp_process p, ad_module m where p.ad_module_id = m.ad_module_id and p.isgridlegacy = 'Y' order by m.javapackage, p.name;
         javapackage | obuiapp_process_id | name | grid_param
------------------------------+----------------------------------+-------------------------+------------
 org.openbravo | A832A5DA28FB4BB391BDE883E928DFC5 | Open Close Periods | 0
 org.openbravo | 7DC2C8DC186B4C1DB18E147911950861 | UpdateInvariants | 0
 org.openbravo.advpaymentmngt | 4EEB3497082C4F2182E16A4371CD5D96 | Modify Payment In Plan | 1
 org.openbravo.advpaymentmngt | 6F87442DF7BC43AB8A666BDED2F7D64E | Modify Payment Out Plan | 1


Steps To Reproduce-
Proposed SolutionCheck migration guide [1]

[1] http://wiki.openbravo.com/wiki/How_to_create_a_Standard_Process_Definition#Migrating_old_Processes [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0036281 acknowledgedjarmendariz "Grid Legacy" warning should be moved from runtime to compile time 

-  Notes
(0097871)
vmromanos (developer)
2017-07-05 14:18

Test plan preconfigurations:

As "System Administrator" navigates to the "Windows, Tabs and Fields" window
Search the "Sales Invoice" window by typing "Sales Invoice" in the field "Name.
Navigate to the "Tab" tab and search the "Payment Plan" tab by typing "Payment Plan" in the field "Name".
Navigate to the "Field" tab and remove the filters if any.
Search the "Modify Payment Plan" field and set it as "Displayed" Yes.
Repeat the same steps above with Purchase Invoice window
Compile using ant smartbuild and restart tomcat


Test plan I:
Go to Sales Invoice window and create a new record
Add any line and complete it.
Go to payment plan tab, select any record and press Modify Payment Plan button
In the popup change any value, for example the dates and confirm the changes
Verify the process is completed successfully and your changes are reflected to the payment plan


Test plan II:
Go to Purchase Invoice window and create a new record
Add any line and complete it.
Go to payment plan tab, select any record and press Modify Payment Plan button
In the popup change any value, for example the dates and confirm the changes
Verify the process is completed successfully and your changes are reflected to the payment plan
(0097882)
hgbot (developer)
2017-07-05 19:26

Repository: erp/devel/pi
Changeset: 01727c5b58ac64ca537bcb8ce74e42308f423640
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Wed Jul 05 14:16:09 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/01727c5b58ac64ca537bcb8ce74e42308f423640 [^]

Fixed bug 36282: Adapted Grid Legacy process definitions

Four process definitions have been adapted:
Open Close Periods: Just set "Compatibility with Legacy Grids" = N as it's a manual UI Pattern process
UpdateInvariants: Just set "Compatibility with Legacy Grids" = N as it's a manual UI Pattern process
Modify Payment In Plan and Modify Payment Out Plan: Minor refactor in Handler to support new grid definition

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/ModifyPaymentPlanActionHandler.java
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
---
(0097884)
aferraz (developer)
2017-07-05 19:38

Code review OK
(0099237)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-06-19 18:35 shuehner New Issue
2017-06-19 18:35 shuehner Assigned To => Triage Finance
2017-06-19 18:35 shuehner Modules => Core
2017-06-19 18:35 shuehner Triggers an Emergency Pack => No
2017-06-19 18:35 shuehner Relationship added related to 0036281
2017-07-04 10:08 alostale Proposed Solution updated
2017-07-05 14:09 vmromanos Status new => scheduled
2017-07-05 14:09 vmromanos Assigned To Triage Finance => vmromanos
2017-07-05 14:10 vmromanos Review Assigned To => aferraz
2017-07-05 14:10 vmromanos Target Version => 3.0PR17Q4
2017-07-05 14:18 vmromanos Note Added: 0097871
2017-07-05 19:26 hgbot Checkin
2017-07-05 19:26 hgbot Note Added: 0097882
2017-07-05 19:26 hgbot Status scheduled => resolved
2017-07-05 19:26 hgbot Resolution open => fixed
2017-07-05 19:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/01727c5b58ac64ca537bcb8ce74e42308f423640 [^]
2017-07-05 19:38 aferraz Note Added: 0097884
2017-07-05 19:38 aferraz Status resolved => closed
2017-07-05 19:38 aferraz Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099237
2017-11-21 20:24 eugeni Issue Monitored: eugeni
2017-11-21 20:26 eugeni Issue End Monitor: eugeni


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker